View Issue Details

IDProjectCategoryView StatusLast Update
0021397mantisbtplug-inspublic2016-08-28 01:11
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.0.0-beta.1 
Target Version2.0.0-beta.2Fixed in Version2.0.0-beta.2 
Summary0021397: Plugin menu options don't show in main menu
Description

We should enhance the modern UI to show the plugin main menu options and to allow plugins to choose a font-awesome icon.

Tagsmodern-ui

Activities

Related Changesets

MantisBT: master 0c645992

2016-07-23 03:31:06

vboctor

Details Diff
Revise the EVENT_MENU_MAIN_FRONT and

Revise the plugin events for main menu options to expect url, label and icon.

Affected Events
- EVENT_MENU_MAIN_FRONT
- EVENT_MENU_MAIN

Sample Response that adds two menu options. One with icon and one using default icon.

array(
array(
'title' => 'Bell',
'url' => 'bell.php',
),
array(
'title' => 'Bell2',
'icon' => 'fa-bell',
'url' => 'bell2.php',
),
);

Fixes 0021397
mod - core/layout_api.php Diff File

MantisBT: master e64257ca

2016-07-23 04:10:11

vboctor

Details Diff
Update documentation for plugin main menu events

Fixes 0021397
mod - docbook/Developers_Guide/en-US/Events_Reference_Output.xml Diff File

MantisBT: master 05a9a9c5

2016-08-27 23:53:38

vboctor

Details Diff
Handle custom main menu options with FQDN

Issue 0021397
Issue 0021414
mod - core/layout_api.php Diff File

Issue History

Date Modified Username Field Change
2016-07-20 20:48 vboctor New Issue
2016-07-20 20:48 vboctor Tag Attached: modern-ui
2016-07-22 09:17 vboctor Assigned To => vboctor
2016-07-22 09:17 vboctor Status new => assigned
2016-07-23 23:29 vboctor Note Added: 0053703
2016-08-03 19:58 vboctor Changeset attached => MantisBT master 0c645992
2016-08-03 19:58 vboctor Changeset attached => MantisBT master e64257ca
2016-08-03 19:58 vboctor Status assigned => resolved
2016-08-03 19:58 vboctor Resolution open => fixed
2016-08-03 19:58 vboctor Fixed in Version => 2.0.0-beta.2
2016-08-27 23:53 vboctor Changeset attached => MantisBT master 05a9a9c5
2016-08-28 01:11 vboctor Status resolved => closed